#!/bin/sh
ID=none
CUT=none
GUNZIP=none
if [ -x /bin/id ]
then
   ID=/bin/id
fi
if [ -x /usr/bin/id ]
then
   ID=/usr/bin/id
fi
if [ -x /bin/cut ]
then
   CUT=/bin/cut
fi
if [ -x /usr/bin/cut ]
then
   CUT=/usr/bin/cut
fi
if [ -x /bin/gunzip ]
then
   GUNZIP=/bin/gunzip
fi
if [ -x /usr/bin/gunzip ]
then
   GUNZIP=/usr/bin/gunzip
fi
if [ "$ID" = "none" -o "$CUT" = "none" -o "$GUNZIP" = "none" ]
then
   echo "Can't find all the binaries needed to do an install."
   echo "Please read the README file."
   exit 1
fi

# You have to be root to run this. Make sure.
if [ `${ID} | ${CUT} -f1 -d"("` != "uid=0" ]
then
  echo "You MUST be running as 'root' to complete the ADSM installation."
  echo "Login as 'root' user and run $0 again."
  echo " "
  exit 1
fi

CUR_DIR=`pwd`
if [ "$CUR_DIR" != "/usr/adsm" ]
then
if [ -d /usr/adsm ]
then
echo "/usr/adsm already exists, save the old installation"
echo "and either remove the contents of /usr/adsm and"
echo "untar the distribution file there or remove /usr/adsm."
echo "See INSTALL."
echo "Installation terminated."
exit 1
fi
ln -s $CUR_DUR /usr/adsm
fi
chown -R root .
chgrp -R bin .
chmod 4755 ./dsmtca
